Skip to main content
PUT
Create or update a member's out of office message

Authorizations

X-API-KEY
string
header
required

Path Parameters

member_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
leave_type_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
internalReplyMessage
string
required

Message sent to senders inside the organisation.

Maximum string length: 6000
externalReplyMessage
string
required

Message sent to senders outside the organisation.

Maximum string length: 6000
externalAudience
enum<string>
required

Who outside the organisation receives the external message.

Available options:
none,
contactsOnly,
all
sync_enabled
boolean

Whether absentify writes the message to the member's mailbox. Defaults to true for a new setting.

allow_member_edit_out_of_office_message
boolean

Whether the member may change the message in absentify. Defaults to true for a new setting.

Response

Successful response

id
string
required
member_id
string
required
leave_type_id
string
required
internalReplyMessage
string
required
externalReplyMessage
string
required
externalAudience
enum<string>
required
Available options:
none,
contactsOnly,
all
allow_member_edit_out_of_office_message
boolean
required
sync_enabled
boolean
required
createdAt
string
required
updatedAt
string
required